atom、electron 和 gentoo

强烈建议用上ccache,不然崩了重开心态爆裂。

atom依赖electron,electron在gentoo里面是2.0.17-r2版本,但是问题多多。首先是pulseaudio它没办法支持(打补丁就可以,但是我还没有学会怎么用补丁),所以要把它的pulseaudio USE给去掉。这样就可以通过7000/16000的第一道坑了。

第二道坑是内置的chromium,源代码的/var/tmp/portage/dev-util/electron-2.0.17-r2/work/electron-2.0.17/chromium/third_party/WebKit/Source/core/dom/Document.cpp有问题,在5192行的结尾少了一个“;”号,要自己补上。这样就可以通过11000/16000的坑了。

这样electron就能编译成功了,atom也就是小case了。

留下评论